Bug 1010771 - Unhandled exception: Saving a TM despite a non-unique name warning
Unhandled exception: Saving a TM despite a non-unique name warning
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks: 994362
  Show dependency treegraph
 
Reported: 2013-09-22 23:55 EDT by Damian Jansen
Modified: 2013-11-26 22:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:32:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-09-22 23:55:16 EDT
Description of problem:
If the user ignores the "This Id is not available" warning and presses save, they are presented with the "We're sorry" error screen.

Version-Release number of selected component (if applicable):
3.0

How reproducible:
Easy always

Steps to Reproduce:
1. Login as admin
2. Go to administration->Translation Memory
3. Click Create New
4. Enter a name, press save
5. Click Create New
6. Enter the same name as used in step 4 - see that clicking/tabbing to description shows the "This Id is not available" warning
7. Press Save

Actual results:
"We're sorry" screen is displayed to the user, a "JdbcSQLException: Unique index or primary key violation" has occurred under the hood.

Expected results:
User us returned to the New Translation screen to try again.

Additional info:
Caused by: org.h2.jdbc.JdbcSQLException: Unique index or primary key violation: "CONSTRAINT_148_INDEX_1 ON PUBLIC.TRANSMEMORY(SLUG)"; SQL statement:
/* insert org.zanata.model.tm.TransMemory */ insert into TransMemory (id, creationDate, lastChanged, versionNum, slug, description, source_language) values (null, ?, ?, ?, ?, ?, ?) [23505-168]
        at org.h2.message.DbException.getJdbcSQLException(DbException.java:329) [h2-1.3.168.jar:1.3.168]
        at org.h2.message.DbException.get(DbException.java:169) [h2-1.3.168.jar:1.3.168]
        at org.h2.message.DbException.get(DbException.java:146) [h2-1.3.168.jar:1.3.168]
        at org.h2.index.BaseIndex.getDuplicateKeyException(BaseIndex.java:81) [h2-1.3.168.jar:1.3.168]
        at org.h2.index.PageBtree.find(PageBtree.java:121) [h2-1.3.168.jar:1.3.168]
        at org.h2.index.PageBtreeLeaf.addRow(PageBtreeLeaf.java:147) [h2-1.3.168.jar:1.3.168]
        at org.h2.index.PageBtreeLeaf.addRowTry(PageBtreeLeaf.java:100) [h2-1.3.168.jar:1.3.168]
        at org.h2.index.PageBtreeIndex.addRow(PageBtreeIndex.java:105) [h2-1.3.168.jar:1.3.168]
        at org.h2.index.PageBtreeIndex.add(PageBtreeIndex.java:96) [h2-1.3.168.jar:1.3.168]
        at org.h2.table.RegularTable.addRow(RegularTable.java:121) [h2-1.3.168.jar:1.3.168]
        at org.h2.command.dml.Insert.insertRows(Insert.java:124) [h2-1.3.168.jar:1.3.168]
        at org.h2.command.dml.Insert.update(Insert.java:84) [h2-1.3.168.jar:1.3.168]
        at org.h2.command.CommandContainer.update(CommandContainer.java:75) [h2-1.3.168.jar:1.3.168]
        at org.h2.command.Command.executeUpdate(Command.java:230) [h2-1.3.168.jar:1.3.168]
        at org.h2.jdbc.JdbcPreparedStatement.executeUpdateInternal(JdbcPreparedStatement.java:156) [h2-1.3.168.jar:1.3.168]
        at org.h2.jdbc.JdbcPreparedStatement.executeUpdate(JdbcPreparedStatement.java:142) [h2-1.3.168.jar:1.3.168]
        at sun.reflect.GeneratedMethodAccessor293.invoke(Unknown Source) [:1.7.0_09-icedtea]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_09-icedtea]
        at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_09-icedtea]
        at net.bull.javamelody.JdbcWrapper.doExecute(JdbcWrapper.java:373) [javamelody-core-1.41.0.jar:1.41.0]
        at net.bull.javamelody.JdbcWrapper$StatementInvocationHandler.invoke(JdbcWrapper.java:130) [javamelody-core-1.41.0.jar:1.41.0]
        at net.bull.javamelody.JdbcWrapper$DelegatingInvocationHandler.invoke(JdbcWrapper.java:259) [javamelody-core-1.41.0.jar:1.41.0]
        at $Proxy203.executeUpdate(Unknown Source)      at org.jboss.jca.adapters.jdbc.WrappedPreparedStatement.executeUpdate(WrappedPreparedStatement.java:493)
        at sun.reflect.GeneratedMethodAccessor293.invoke(Unknown Source) [:1.7.0_09-icedtea]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_09-icedtea]
        at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_09-icedtea]
        at org.zanata.database.StatementWrapper.invoke(StatementWrapper.java:74) [classes:]
        at $Proxy204.executeUpdate(Unknown Source)      at org.hibernate.engine.jdbc.internal.ResultSetReturnImpl.executeUpdate(ResultSetReturnImpl.java:133) [hibernate-core-4.2.0.CR1.jar:4.2.0.Final]
Comment 1 Damian Jansen 2013-09-23 23:28:55 EDT
Verified at 6f83d98703a265dd74cd40f97bb34ddcbf4df6c7
Comment 2 Sean Flanigan 2013-11-26 22:32:11 EST
Closing VERIFIED bugs which predate Zanata 3.1.2.

Note You need to log in before you can comment on or make changes to this bug.